// _ExtractionEtatComparatif_Interface.java
// Created on 2 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.extraction.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _ExtractionEtatComparatif_Interface extends COFrame {

    /** Creates new form _ExtractionEtatComparatif_Interface */
    public _ExtractionEtatComparatif_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        cOButton1 = new org.cocktail.component.COButton();
        cOButton2 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        cOButton4 = new org.cocktail.component.COButton();
        cOLabel1 = new org.cocktail.component.COLabel();
        jLabel1 = new javax.swing.JLabel();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        cOComboBox2 = new org.cocktail.component.COComboBox();
        jLabel2 = new javax.swing.JLabel();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        jLabel3 = new javax.swing.JLabel();
        cOButton5 = new org.cocktail.component.COButton();
        vuePeriode = new org.cocktail.component.COView();

        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);
        displayGroup.setKeys(new Object[] {"echelonDebut","echelonFin","gradeDebut","gradeFin","indiceDebut","indiceFin","nom","prenom","quotiteServiceFin"});

        setControllerClassName("org.cocktail.mangue.client.extraction.ExtractionEtatComparatif");
        setSize(new java.awt.Dimension(808, 522));

        listeAffichage.setColumns(new Object[][] {{null,"nom",new Integer(2),"Nom",new Integer(0),new Integer(255),new Integer(1000),new Integer(10)},{null,"prenom",new Integer(2),"Prénom",new Integer(0),new Integer(155),new Integer(1000),new Integer(10)},{null,"gradeFin",new Integer(2),"Grade Fin",new Integer(0),new Integer(220),new Integer(1000),new Integer(93)},{null,"echelonFin",new Integer(0),"Echelon",new Integer(0),new Integer(49),new Integer(1000),new Integer(42)},{null,"indiceFin",new Integer(0),"Indice",new Integer(0),new Integer(42),new Integer(1000),new Integer(42)},{null,"quotiteServiceFin",new Integer(0),"Quotité Svc",new Integer(0),new Integer(70),new Integer(1000),new Integer(69)},{null,"gradeDebut",new Integer(2),"Grade Début",new Integer(0),new Integer(220),new Integer(1000),new Integer(10)},{null,"echelonDebut",new Integer(0),"Echelon",new Integer(0),new Integer(52),new Integer(1000),new Integer(42)},{null,"indiceDebut",new Integer(0),"Indice",new Integer(0),new Integer(38),new Integer(1000),new Integer(30)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        cOButton1.setActionName("supprimer");
        cOButton1.setEnabledMethod("elementsSelectionnes");
        cOButton1.setText("Supprimer la sélection");

        cOButton2.setActionName("restreindre");
        cOButton2.setEnabledMethod("elementsSelectionnes");
        cOButton2.setText("Restreindre à la sélection");

        cOButton3.setActionName("annuler");
        cOButton3.setEnabledMethod("selectionModifiee");
        cOButton3.setText("Annuler les modifications");

        cOButton4.setActionName("exporter");
        cOButton4.setEnabledMethod("peutExporter");
        cOButton4.setIconName("disquette.gif");

        cOLabel1.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel1.setValueName("nbTotalElements");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("individus");

        cOComboBox1.setIndexForSelection("typePersonnel");
        cOComboBox1.setTitles("*,Titulaires,Contractuels,Hébergés");

        cOComboBox2.setIndexForSelection("typeEnseignant");
        cOComboBox2.setTitles("*,Enseignant,Non Enseignant");
        cOComboBox2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOComboBox2ActionPerformed(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Type");

        cOCheckbox1.setText("Prendre la date de début pour comparer");
        cOCheckbox1.setValueName("estComparaisonDebut");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 10));
        jLabel3.setText("Pour trier sur une colonne, faire glisser la colonne en première position de la table");

        cOButton5.setActionName("preparer");
        cOButton5.setBorderPainted(false);
        cOButton5.setEnabledMethod("peutPreparer");
        cOButton5.setIconName("loupe16.gif");

        org.jdesktop.layout.GroupLayout vuePeriodeLayout = new org.jdesktop.layout.GroupLayout(vuePeriode);
        vuePeriode.setLayout(vuePeriodeLayout);
        vuePeriodeLayout.setHorizontalGroup(
            vuePeriodeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 432, Short.MAX_VALUE)
        );
        vuePeriodeLayout.setVerticalGroup(
            vuePeriodeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 36, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(5, 5, 5)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel3)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(39, 39, 39)
                                .add(jLabel2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 142, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(36, 36, 36)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(vuePeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                            .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 36, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(55, 55, 55)
                            .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 34, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(jLabel1))
                        .add(org.jdesktop.layout.GroupLayout.LEADING, listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 783, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(20, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(7, 7, 7)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(vuePeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel2)
                                    .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(5, 5, 5)
                        .add(jLabel3))
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(2, 2, 2)
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 407, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel1)
                        .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cOComboBox2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOComboBox2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOComboBox2ActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.COComboBox cOComboBox2;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COView vuePeriode;
    // End of variables declaration//GEN-END:variables
                  

}
